

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.8. check &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.9. clearlock" href="clearlock.html" />
    <link rel="prev" title="7.3.7. cache_limit" href="cache_limit.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/check.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="clearlock.html" title="7.3.9. clearlock"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="cache_limit.html" title="7.3.7. cache_limit"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.8. </span><code class="docutils literal notranslate"><span class="pre">check</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="check">
<h1><span class="section-number">7.3.8. </span><code class="docutils literal notranslate"><span class="pre">check</span></code><a class="headerlink" href="#check" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.8.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>check - オブジェクトの状態表示</p>
<p>Groonga組込コマンドの一つであるcheckについて説明します。組込コマンドは、groonga実行ファイルの引数、標準入力、またはソケット経由でgroongaサーバにリクエストを送信することによって実行します。</p>
<p>checkコマンドは、groongaプロセス内の指定したオブジェクトの状態を表示します。主にデータベースが壊れた場合など異常時の問題解決のために使用することを想定しています。デバッグ用のため、返値のフォーマットが安定しているということは保証されません。（フォーマットが変更される可能性が高い）</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.8.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>check obj
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.8.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>テーブルTermsのインデックスカラムnameの状態を表示します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>check Terms.name
[{&quot;flags&quot;:&quot;00008202&quot;,
  &quot;max sid&quot;:1,
  &quot;number of garbage segments&quot;:0,
  &quot;number of array segments&quot;:1,
  &quot;max id of array segment&quot;:1,
  &quot;number of buffer segments&quot;:110,
  &quot;max id of buffer segment&quot;:111,
  &quot;max id of physical segment in use&quot;:111,
  &quot;number of unmanaged segments&quot;:4294967185,
  &quot;total chunk size&quot;:7470239,
  &quot;max id of chunk segments in use&quot;:127,
  &quot;number of garbage chunk&quot;:[0,0,0,0,0,0,0,0,2,2,0,0,0,0,0]},
 {&quot;buffer id&quot;:0,
  &quot;chunk size&quot;:94392,
  &quot;buffer term&quot;:[&quot;596&quot;,&quot;59777&quot;,&quot;6&quot;,...],
  &quot;buffer free&quot;:152944,
  &quot;size in buffer&quot;:7361,
  &quot;nterms&quot;:237,
  &quot;nterms with chunk&quot;:216,
  &quot;buffer id&quot;:1,
  &quot;chunk size&quot;:71236,
  &quot;buffer term&quot;:[[&quot;に述&quot;,18149,18149,2,25,6,6],
                 [&quot;に追&quot;,4505,4505,76,485,136,174],
                 [&quot;に退&quot;,26568,26568,2,9,2,2],
                 ...],
  &quot;buffer free&quot;:120000,
  &quot;size in buffer&quot;:11155,
  &quot;nterms&quot;:121,
  &quot;nterms with chunk&quot;:116},
  {&quot;buffer id&quot;:1,
   ...},
  ...]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.8.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">obj</span></code></p>
<blockquote>
<div><p>状態を表示するオブジェクトの名前を指定します。</p>
</div></blockquote>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.8.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>チェックするオブジェクトにより返される値が変わります。</p>
<p>インデックスカラムの場合:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>下記のような配列が出力されます。

  [インデックスの状態, バッファの状態1, バッファの状態2, ...]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">インデックスの状態</span></code> には下記の項目がハッシュ形式で出力されます。</p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">flags</span></code></p>
<blockquote>
<div><p>指定されているフラグ値です。16進数で表現されています。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">max</span> <span class="pre">sid</span></code></p>
<blockquote>
<div><p>セグメントのうち最も大きなIDです。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">number</span> <span class="pre">of</span> <span class="pre">garbage</span> <span class="pre">segments</span></code></p>
<blockquote>
<div><p>ゴミセグメントの数です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">number</span> <span class="pre">of</span> <span class="pre">array</span> <span class="pre">segments</span></code></p>
<blockquote>
<div><p>配列セグメントの数です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">max</span> <span class="pre">id</span> <span class="pre">of</span> <span class="pre">array</span> <span class="pre">segment</span></code></p>
<blockquote>
<div><p>配列セグメントのうち最も大きなIDです。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">number</span> <span class="pre">of</span> <span class="pre">buffer</span> <span class="pre">segments</span></code></p>
<blockquote>
<div><p>バッファセグメントの数です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">max</span> <span class="pre">id</span> <span class="pre">of</span> <span class="pre">buffer</span> <span class="pre">segment</span></code></p>
<blockquote>
<div><p>バッファセグメントのうち最も大きなIDです。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">max</span> <span class="pre">id</span> <span class="pre">of</span> <span class="pre">physical</span> <span class="pre">segment</span> <span class="pre">in</span> <span class="pre">use</span></code></p>
<blockquote>
<div><p>使用中の論理セグメントのうち最も大きなIDです。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">number</span> <span class="pre">of</span> <span class="pre">unmanaged</span> <span class="pre">segments</span></code></p>
<blockquote>
<div><p>管理されていないセグメントの数です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">total</span> <span class="pre">chunk</span> <span class="pre">size</span></code></p>
<blockquote>
<div><p>チャンクサイズの合計です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">max</span> <span class="pre">id</span> <span class="pre">of</span> <span class="pre">chunk</span> <span class="pre">segments</span> <span class="pre">in</span> <span class="pre">use</span></code></p>
<blockquote>
<div><p>使用中のチャンクセグメントのうち最も大きなIDです。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">number</span> <span class="pre">of</span> <span class="pre">garbage</span> <span class="pre">chunk</span></code></p>
<blockquote>
<div><p>各チャンク毎のゴミの数です。</p>
</div></blockquote>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">バッファの状態</span></code> には下記の項目がハッシュ形式で出力されます。</p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">buffer</span> <span class="pre">id</span></code></p>
<blockquote>
<div><p>バッファIDです。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">chunk</span> <span class="pre">size</span></code></p>
<blockquote>
<div><p>チャンクのサイズです。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">buffer</span> <span class="pre">term</span></code></p>
<blockquote>
<div><p>バッファ内にある語の一覧です。各語の状態は以下のような配列となっています。</p>
<blockquote>
<div><p>[語, バッファに登録されている語のID, 用語集に登録されている語のID, バッファ内でのサイズ, チャンク内でのサイズ]</p>
</div></blockquote>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">buffer</span> <span class="pre">free</span></code></p>
<blockquote>
<div><p>バッファの空き容量です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">size</span> <span class="pre">in</span> <span class="pre">buffer</span></code></p>
<blockquote>
<div><p>バッファの使用量です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">nterms</span></code></p>
<blockquote>
<div><p>バッファ内にある語の数です。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">nterms</span> <span class="pre">with</span> <span class="pre">chunk</span></code></p>
<blockquote>
<div><p>バッファ内にある語のうち、チャンクを使っている語の数です。</p>
</div></blockquote>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.8. <code class="docutils literal notranslate"><span class="pre">check</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.8.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.8.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.8.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.8.4. 引数</a></li>
<li><a class="reference internal" href="#return-value">7.3.8.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="cache_limit.html"
                        title="前の章へ"><span class="section-number">7.3.7. </span><code class="docutils literal notranslate"><span class="pre">cache_limit</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="clearlock.html"
                        title="次の章へ"><span class="section-number">7.3.9. </span><code class="docutils literal notranslate"><span class="pre">clearlock</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="clearlock.html" title="7.3.9. clearlock"
             >次へ</a> |</li>
        <li class="right" >
          <a href="cache_limit.html" title="7.3.7. cache_limit"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.8. </span><code class="docutils literal notranslate"><span class="pre">check</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>